<template>
  <div class="d-flex align-center justify-space-between">
    <setting-title
      title="Snippets"
      icon="fa-solid fa-grip"
    />
<!--    <v-btn-->
<!--      class="me-3"-->
<!--      size="small"-->
<!--      variant="tonal"-->
<!--      color="green"-->
<!--      @click="create"-->
<!--    >New Action</v-btn>-->
  </div>
  <v-expansion-panels
    color="grey-darken-4"
    class="px-3"
    theme="dark"
  >
    <v-expansion-panel
      v-for="action in actions"
      :key="action.id"
    >
      <snippet-setting
        :action="action"
      />
    </v-expansion-panel>
  </v-expansion-panels>
</template>

<script>
import store from '/src/store/store.js'
import SettingTitle from "./SettingTitle.vue";
import SnippetSetting from "./SnippetSetting.vue";
export default {
  name: "SettingsSnippets",
  components: {
    SnippetSetting,
    SettingTitle
  },
  computed: {
    actions() {
      return store.getters.getActions;
    },
  },
  methods: {
    create() {
      const action = {
        name: "New Action",
        icon: "",
        shortcut: "",
        system_prompt: "",
        model: "",
        is_created: true
      }
      this.$store.dispatch('createAction', action);
    }
  }
}
</script>